EmbededServletOptions (Jasper Internal API Documentation)
Keywords: org.apache.jasper.EmbededServletOptions class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper
Class EmbededServletOptions

    java.lang.Object
      org.apache.jasper.EmbededServletOptions

All Implemented Interfaces:
  Options

public final class EmbededServletOptions
extends java.lang.Object
implements Options

A class to hold all init parameters specific to the JSP engine.

Author:
  Anil K. Vijendran, Hans Bergsten, Pierre Delisle

Field Summary
`int` | `checkInterval` Background compile thread check interval in seconds.
`boolean` | `classDebugInfo` Indicates if debugging information should be included in the class file.
`java.lang.String` | `classpath` Classpath to use while compiling generated servlets.
`java.lang.String` | `compiler` Compiler to use.
`boolean` | `development` Is Jasper being used in development mode?
`boolean` | `fork` Should Ant fork its java compiles of JSP pages.
`java.lang.String` | `ieClassId` Need to have this as is for versions 4 and 5 of IE.
`boolean` | `keepGenerated` Do you want to keep the generated Java files around?
`boolean` | `mappedFile` Indicates if "mapped" files should be supported.
`boolean` | `poolingEnabled` Determines whether tag handler pooling is enabled.
`boolean` | `reloading` Indicates status of JSP reloading.
`java.io.File` | `scratchDir` I want to see my generated servlets.
`boolean` | `sendErrorToClient` Indicates if you want stack traces and such displayed in the client's browser.

Constructor Summary
`EmbededServletOptions(javax.servlet.ServletConfig config, javax.servlet.ServletContext context)` Create an EmbededServletOptions object using data available from ServletConfig and ServletContext.

Method Summary
`int` | `getCheckInterval()` Background JSP compile thread check interval.
`boolean` | `getClassDebugInfo()` Getter method to determine if class files should be compiled with debug information.
`java.lang.String` | `getClassPath()` Getter method for classpath used when compiling the servlets generated from JSP files.
`java.lang.String` | `getCompiler()` Compiler to use.
`boolean` | `getDevelopment()` Getter method to determine if Jasper being used in development mode.
`boolean` | `getFork()` boolean flag to tell Ant whether to fork JSP page compilations.
`java.lang.String` | `getIeClassId()` Class ID for use in the plugin tag when the browser is IE.
`java.lang.String` | `getJavaEncoding()` Java platform encoding to generate the JSP page servlet.
`boolean` | `getKeepGenerated()` Getter method to see if generated code is kept.
`boolean` | `getMappedFile()` Getter method to determine HTML mapped servlets support.
`java.lang.String` | `getProperty(java.lang.String name)`
`boolean` | `getReloading()` Getter method for JSP reloading check.
`java.io.File` | `getScratchDir()` Getter method for scratch dir.
`boolean` | `getSendErrorToClient()` Getter method to determine if errors should be sent to client or thrown into stderr.
`TldLocationsCache` | `getTldLocationsCache()` The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application.
`boolean` | `isPoolingEnabled()` Returns true if tag handler pooling is enabled, false otherwise.
`void` | `setProperty(java.lang.String name, java.lang.String value)`
`void` | `setTldLocationsCache(TldLocationsCache tldC)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### development

    public boolean development

  Is Jasper being used in development mode?

### fork

    public boolean fork

  Should Ant fork its java compiles of JSP pages.

### keepGenerated

    public boolean keepGenerated

  Do you want to keep the generated Java files around?

### poolingEnabled

    public boolean poolingEnabled

  Determines whether tag handler pooling is enabled.

### mappedFile

    public boolean mappedFile

  Indicates if "mapped" files should be supported. This will generate servlet that has a print statement per line of the JSP file. This seems like a really nice feature to have for debugging.

### sendErrorToClient

    public boolean sendErrorToClient

  Indicates if you want stack traces and such displayed in the client's browser. If this is false, such messages go to the standard error or a log file if the standard error is redirected.

### classDebugInfo

    public boolean classDebugInfo

  Indicates if debugging information should be included in the class file.

### checkInterval

    public int checkInterval

  Background compile thread check interval in seconds.

### reloading

    public boolean reloading

  Indicates status of JSP reloading.

### scratchDir

    public java.io.File scratchDir

  I want to see my generated servlets. Which directory are they in?

### ieClassId

    public java.lang.String ieClassId

  Need to have this as is for versions 4 and 5 of IE. Can be set from the initParams so if it changes in the future all that is needed is to have a jsp initParam of type ieClassId=""

### classpath

    public java.lang.String classpath

  Classpath to use while compiling generated servlets.

### compiler

    public java.lang.String compiler

  Compiler to use.

Constructor Detail

### EmbededServletOptions

    public EmbededServletOptions(javax.servlet.ServletConfig config,
                                 javax.servlet.ServletContext context)

  Create an EmbededServletOptions object using data available from ServletConfig and ServletContext.

Method Detail

### getProperty

    public java.lang.String getProperty(java.lang.String name)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

### getKeepGenerated

    public boolean getKeepGenerated()

  Getter method to see if generated code is kept.

  Specified by:
    `getKeepGenerated` in interface `Options`

### isPoolingEnabled

    public boolean isPoolingEnabled()

  Description copied from interface: `Options`
  Returns true if tag handler pooling is enabled, false otherwise.

  Specified by:
    `isPoolingEnabled` in interface `Options`

### getMappedFile

    public boolean getMappedFile()

  Getter method to determine HTML mapped servlets support.

  Specified by:
    `getMappedFile` in interface `Options`

### getSendErrorToClient

    public boolean getSendErrorToClient()

  Getter method to determine if errors should be sent to client or thrown into stderr.

  Specified by:
    `getSendErrorToClient` in interface `Options`

### getClassDebugInfo

    public boolean getClassDebugInfo()

  Getter method to determine if class files should be compiled with debug information.

  Specified by:
    `getClassDebugInfo` in interface `Options`

### getCheckInterval

    public int getCheckInterval()

  Background JSP compile thread check interval.

  Specified by:
    `getCheckInterval` in interface `Options`

### getDevelopment

    public boolean getDevelopment()

  Getter method to determine if Jasper being used in development mode.

  Specified by:
    `getDevelopment` in interface `Options`

### getReloading

    public boolean getReloading()

  Getter method for JSP reloading check.

  Specified by:
    `getReloading` in interface `Options`

### getIeClassId

    public java.lang.String getIeClassId()

  Class ID for use in the plugin tag when the browser is IE.

  Specified by:
    `getIeClassId` in interface `Options`

### getScratchDir

    public java.io.File getScratchDir()

  Getter method for scratch dir.

  Specified by:
    `getScratchDir` in interface `Options`

### getClassPath

    public java.lang.String getClassPath()

  Getter method for classpath used when compiling the servlets generated from JSP files.

  Specified by:
    `getClassPath` in interface `Options`

### getCompiler

    public java.lang.String getCompiler()

  Compiler to use.

  Specified by:
    `getCompiler` in interface `Options`

### getTldLocationsCache

    public TldLocationsCache getTldLocationsCache()

  Description copied from interface: `Options`
  The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application. A tag library is 'exposed' either explicitely in web.xml or implicitely via the uri tag in the TLD of a taglib deployed in a jar file (WEB-INF/lib).

  Specified by:
    `getTldLocationsCache` in interface `Options`
  Returns:
    the instance of the TldLocationsCache for the web-application.

### setTldLocationsCache

    public void setTldLocationsCache(TldLocationsCache tldC)

### getJavaEncoding

    public java.lang.String getJavaEncoding()

  Description copied from interface: `Options`
  Java platform encoding to generate the JSP page servlet.

  Specified by:
    `getJavaEncoding` in interface `Options`

### getFork

    public boolean getFork()

  Description copied from interface: `Options`
  boolean flag to tell Ant whether to fork JSP page compilations.

  Specified by:
    `getFork` in interface `Options`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.